org.apache.fontbox.ttf.gsub

## Interface GsubWorker

All Known Implementing Classes:
  GsubWorkerForBengali, GsubWorkerForDevanagari, GsubWorkerForDflt, GsubWorkerForGujarati, GsubWorkerForLatin

    public interface GsubWorker

This class is responsible for replacing GlyphIDs with new ones according to the GSUB tables. Each language should have an implementation of this.

Author:
  Palash Ray

### Method Summary

All Methods Instance Methods Abstract Methods
`List<Integer>` `applyTransforms(List<Integer> originalGlyphIds)` Applies language-specific transforms including GSUB and any other pre or post-processing necessary for displaying Glyphs correctly.

### Method Detail

#### applyTransforms

    List<Integer> applyTransforms(List<Integer> originalGlyphIds)

Applies language-specific transforms including GSUB and any other pre or post-processing necessary for displaying Glyphs correctly.

Parameters:
  `originalGlyphIds` - list of original glyph IDs
Returns:
  list of transformed glyph IDs